Name:           gnome-chemistry-utils
Version:        0.6.5
Release:        2%{?dist}
Summary:        A set of chemical utilities

Group:          Applications/Engineering
License:        GPL
URL:            http://www.nongnu.org/gchemutils/
Source0:        http://download.savannah.nongnu.org/releases/gchemutils/%{name}-%{version}.tar.bz2
Patch0:         19808.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  openbabel-devel
BuildRequires:  goffice-devel
BuildRequires:  perl(XML::Parser)
BuildRequires:  gtkglext-devel
BuildRequires:  libgnomeprintui22-devel
BuildRequires:  mozilla-devel
BuildRequires:  man
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
BuildRequires:  doxygen
BuildRequires:  chemical-mime-data
BuildRequires:  libXt-devel
Requires:       chemical-mime-data

%description
This package is a set of chemical utils. Three programs are avaible:
* A 3D molecular structure viewer (GChem3Viewer).
* A Chemical calculator (GChemCalc).
* A periodic table of the elements application (GChemTable).

%package        devel
Summary:        Development package for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       libgnomeui-devel
Requires:       libgnomeprintui22-devel
Requires:       gtkglext-devel
Requires:       openbabel-devel
Requires:       pkgconfig

%description    devel
This package is a set of chemical utils. Three programs are avaible:
* A 3D molecular structure viewer (GChem3Viewer).
* A Chemical calculator (GChemCalc).
* A periodic table of the elements application (GChemTable).
This package contains development files for %{name}

%package        mozplugin
Summary:        Development package for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    mozplugin
This package is a set of chemical utils. Three programs are avaible:
* A 3D molecular structure viewer (GChem3Viewer).
* A Chemical calculator (GChemCalc).
* A periodic table of the elements application (GChemTable).
This package contains the mozilla plugin


%prep
%setup -q
%patch0 -p0 -b .crashfix


%build
%configure --disable-update-databases \
           --with-mozilla-libdir=%{_libdir}/mozilla
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make INSTALL="install -p" install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install --vendor=fedora \
       --delete-original --dir $RPM_BUILD_ROOT%{_datadir}/applications \
       $RPM_BUILD_ROOT%{_datadir}/applications/gchem3d-viewer.desktop
desktop-file-install --vendor=fedora \
       --delete-original --dir $RPM_BUILD_ROOT%{_datadir}/applications \
       $RPM_BUILD_ROOT%{_datadir}/applications/gchemcalc.desktop
desktop-file-install --vendor=fedora \
       --delete-original --dir $RPM_BUILD_ROOT%{_datadir}/applications \
       $RPM_BUILD_ROOT%{_datadir}/applications/gchemtable.desktop
%find_lang %{name}

#kill libtool archives
rm -f $RPM_BUILD_ROOT%{_libdir}/libgcu.la
rm -f $RPM_BUILD_ROOT%{_libdir}/mozilla/plugins/libmozgcu.la

#kill intrusive docs
rm -rf $RPM_BUILD_ROOT%{_docdir}/gchemutils

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database &> /dev/null ||:
/sbin/ldconfig

%postun
update-desktop-database &> /dev/null ||:
/sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%{_bindir}/gchem3d-viewer
%{_bindir}/gchemcalc
%{_bindir}/gchemtable
%{_datadir}/applications/fedora-gchem3d-viewer.desktop
%{_datadir}/applications/fedora-gchemcalc.desktop
%{_datadir}/applications/fedora-gchemtable.desktop
%{_libdir}/libgcu.so.*
%{_libexecdir}/chem-viewer
%{_datadir}/gchemutils
%{_mandir}/man1/gchem3d-viewer.1*
%{_mandir}/man1/gchemcalc.1*
%{_mandir}/man1/gchemtable.1*
%{_mandir}/man3/libgcu.3*

%files devel
%defattr(-,root,root,-)
%doc docs/reference/html
%{_includedir}/gchemutils
%{_libdir}/libgcu.so
%{_libdir}/pkgconfig/gcu.pc

%files mozplugin
%defattr(-,root,root,-)
%{_libdir}/mozilla/plugins/libmozgcu.so


%changelog
* Mon May  7 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.6.5-2
- Fixed gchemtable crash (RH #239056, Savannah #19808)

* Mon Apr  9 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.6.5-1
- Updated to 0.6.5
- Switched to bzip2 sources
- Added rpath killer

* Sun Jan 14 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.6.4-1
- Updated to 0.6.4

* Tue Dec 19 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.6.3-5
- Rebuild for new openbabel

* Sun Dec 03 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.6.3-4
- Removed obsolete stuff
- Fixed support for chemical-mime-data
- Removed --add-category X-Fedora from desktop-file-install command

* Sun Dec 03 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.6.3-3
- Added doxygen to BuildRequires
- Added support for chemical-mime-data

* Sun Dec 03 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.6.3-2
- Fixed Requires for -devel and -mozplugin packages
- Moved files in docs/reference/html to the devel package
- Install .desktop files using desktop-file-install
- Removed redundant stuff
- Preserve timestamps

* Sat Dec 02 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.6.3-1
- Initial RPM release
